Instalando PostgreSQL 8.1 com extensão para dados espaciais (PostGis) e interface de gerenciamento (PgAdmin3)

Este artigo retrata uma experiência de instalação e configuração do PostgreSQL 8.1 utilizando uma extensão para dados espaciais chamada PostGis 1.15 e também utilizando uma ferramenta para gerenciamento chamada PgAdmin3. O artigo também aborda como carregar as funções no banco de dados.

[ Hits: 134.538 ]

Por: Alan Rebouças de Paiva | RHCE | CCNA | CCSA em 20/11/2006


Instalando PostgreSQL 8.1, PostGis 1.15 e PgAdmin 3



2.1. Instalando o PostgreSQL-8.1

No sistema operacional iremos em:

Sistema -> Administração -> Gerenciador de Pacotes Synaptic;
  1. No Gerenciador de Pacotes Synaptic selecionaremos a ferramenta "Procurar";
  2. Na janela Procurar digitaremos "PostgreSQL 8.1";
  3. Fazendo isso irá aparecer na tela todos os pacotes relacionados ao PostgreSQL 8.1;
  4. Marque todos os pacotes;
  5. Após selecionar todos os pacotes, clique em Aplicar, fazendo isto o gerenciador irá, sozinho, baixar e instalar os pacotes para você.

2.2. Instalando o PostGis 1.15

2.2.1. Modificando a sources.List - incluindo pacotes do PostGis

Inicialmente precisamos adicionar alguns comandos no documento "sources.list", para isto no Terminal iremos digitar a seguinte linha de comando:

$ su

O sistema irá solicitar a senha de root (senha configurada no módulo 1). Após estar logado como root digite o seguinte comando:

# cd /etc/apt/
# gedit sources.list


Abrindo a sources.list, adicionaremos as seguintes linhas de comando, NÃO APAGUEM NADA! APENAS ADICIONE:

##PostGis
deb http://www.orcaware.com/packages/ubuntu/ breezy/
deb-src http://www.orcaware.com/packages/ubuntu/ breezy/

Logo após iremos ao Terminal e digitaremos o seguinte código:

# apt-get update

É provável que ao final deste comando, o terminal retorne o seguinte erro:

W: GPG error: http://www.orcaware.com breezy/ Release: As assinaturas a seguir não puderam ser verificadas devido a chave pública não estar disponível : NO_PUBKEY C5722326DA561D91

W: GPG error: http://packages.freecontrib.org dapper Release: As assinaturas a seguir não puderam ser verificadas devido a chave pública não estar disponível : NO_PUBKEY F120156012B83718

W: Você terá que executar apt-get update para corrigir esses arquivos faltosos

Não se preocupe, não tem problema.

2.2.2. Instalando o Postgis

Após isto ser feito, seguiremos os seguintes passos:

No sistema operacional iremos em:

Sistema -> Administração -> Gerenciador de Pacotes Synaptic;
  1. No Gerenciador de Pacotes Synaptic selecionaremos a ferramenta "Procurar";
  2. Na janela Procurar digitaremos "Postgis";
  3. Fazendo isso irá aparecer na tela todos os pacotes relacionados ao Postgis;
  4. Marque todos os pacotes, menos o "qgis", clique em Aplicar, fazendo isto ele irá, sozinho, baixar e instalar os pacotes para você.

2.3. Instalando o Pgadmin3

Após a instalações destes pacotes, agora iremos instalar o gerenciador do banco de dados, o pgadmin.

No próprio Gerenciador de Pacotes Synaptic, realize os seguintes procedimentos:
  1. Selecione a ferramenta "Procurar";
  2. Na janela Procurar digitaremos "pgadmin";
  3. Marque todos os pacotes;
  4. Após selecionar todos os pacotes, menos o "phppgadmin", clique em Aplicar.

Página anterior     Próxima página

Páginas do artigo
   1. Introdução à Instalação
   2. Instalando PostgreSQL 8.1, PostGis 1.15 e PgAdmin 3
   3. Criando banco de dados e um usuário
   4. Carregando os arquivos .SQL no banco de dados
Outros artigos deste autor
Nenhum artigo encontrado.
Leitura recomendada

PostgreSQL 9.4 - O conceito de Role

Autenticação no PostgreSQL - com exemplos

Partição de tabelas no PostgreSQL

Sincronizando Dados do PostgreSQL no Elasticsearch

PostgreSQL - Instalação inicial no Debian Wheezy 64 bits

  
Comentários
[1] Comentário enviado por slytherina em 28/11/2006 - 15:27h

quando uso sudo su - "nomeususario" psql "nomedobanco"
dá a mensagem de q o ID nomedousuario é desconhecido
o usuário q criei se chama testeuser e o banco é teste
mas eu sei q o usuário existe pq tentei criá-lo de novo, mas dá a mensagem de q já existe

[2] Comentário enviado por madrigal em 29/11/2006 - 13:15h

Ao tentar acessar o postgresql dá isso:


[email protected]:~$ psql -U postgres
psql: FATAL: autenticação do tipo Ident falhou para usuário "postgres"
[email protected]:~$

O que fazer?

[3] Comentário enviado por slytherina em 30/11/2006 - 12:11h

consegui resolver o problema com o psql.
estou agora tentando carregar as funções.quando carrego o AddTrigger ele dá uma erro de q "MyTableName" não existe.
Devo mudar isso para o nome da tabela q criei?

Desde já agradeço!!!!

Ps: O artigo é muito bom mesmo!!!!

[4] Comentário enviado por madrigal em 30/11/2006 - 13:21h

Não tou conseguindo fazer o item 3.3, veja como fica:

[email protected]:~$ sudo su - junior psql estudo
Id desconhecido : junior


Como resolvo isso? Já criei o usuário junior!

[5] Comentário enviado por madrigal em 30/11/2006 - 14:59h


Consegui resolver como entra direto,é só editar o arquivo
/etc/postgresql/8.1/main/pg_hba.conf

Neste arquivo, nas duas linhas onde tá escrito "ident sameuser", troque por "trust" sem as aspas.

Reinicie o computador e pronto.

[6] Comentário enviado por alanreboucas em 22/12/2006 - 10:40h

slytherina - No caso o Nome do Usuário, não deverá haver aspas!

madrigal - Tente dar um Start no Banco!

slytherina - Você tem que carregar na tabela que você criou!

madrigal - Isso não é nescessário, não entedi bem a sua dúvida mas todos os passos foram testados e realizados com sucesso! Tente realizar os passos minunciosamente.

Espero que tenha ajudado! Abraço!

[7] Comentário enviado por andre77 em 08/01/2007 - 00:08h

Quando tento criar o banco verifico esta meg:

[email protected]:~# sudo su - postgres createdb nomedobanco
/usr/bin/createdb: line 8: use: comando não encontrado
/usr/bin/createdb: line 10: use: comando não encontrado
/usr/bin/createdb: line 11: use: comando não encontrado
/usr/bin/createdb: createdb: line 13: erro de sintaxe próximo a símbolo inesperado `$version,'
/usr/bin/createdb: createdb: line 13: `my ($version, $cluster, $db, $port, $host);'


Como devo proceder?
Obrigado

André Borges
[email protected]

[8] Comentário enviado por rjesus em 26/03/2007 - 11:15h

Galera... estou com um problema...
Olha só... instalei o postgre no suse 10.1 e iniciei o banco de dados, depois instalei o PGADMIN 3 e quero adicionar um servidor no POSTGRE e me retorna o seguinte erro:
FATAL: autenticação do tipo Ident falhou para usuário "postgres"
O que posso fazer ???
Obrigado!

[9] Comentário enviado por jefferson.rbr em 02/11/2007 - 21:15h

eu ñ consigo me conectar ao banco pelo pgadmin
ou então criar um banco pela linha de comando olha só o ersso q da!"

/usr/bin/createdb: line 8: use: comando não encontrado
/usr/bin/createdb: line 10: use: comando não encontrado
/usr/bin/createdb: line 11: use: comando não encontrado
/usr/bin/createdb: createdb: line 13: erro de sintaxe próximo a símbolo inesperado `$version,'
/usr/bin/createdb: createdb: line 13: `my ($version, $cluster, $db, $port, $host);'

[10] Comentário enviado por Cardiano em 07/11/2009 - 23:23h

Vlw pelo artigo consegui conectar finalmente o postgre


Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts